import requests
url = "https://api.paywise.de/v1/payments/"
payload = {
"claim": "7e60fd1d-575d-4043-a73d-5a2fe9049027",
"amount": {
"value": "149.00",
"currency": "EUR"
},
"value_date": "2019-08-24"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claim: '7e60fd1d-575d-4043-a73d-5a2fe9049027',
amount: {value: '149.00', currency: 'EUR'},
value_date: '2019-08-24'
})
};
fetch('https://api.paywise.de/v1/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/payments/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"claim\": \"7e60fd1d-575d-4043-a73d-5a2fe9049027\",\n \"amount\": {\n \"value\": \"149.00\",\n \"currency\": \"EUR\"\n },\n \"value_date\": \"2019-08-24\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"claim\": \"7e60fd1d-575d-4043-a73d-5a2fe9049027\",\n \"amount\": {\n \"value\": \"149.00\",\n \"currency\": \"EUR\"\n },\n \"value_date\": \"2019-08-24\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/payments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim": "7e60fd1d-575d-4043-a73d-5a2fe9049027",
"amount": {
"value": "149.00",
"currency": "EUR"
},
"value_date": "2019-08-24"
}
'{
"href": "<string>",
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "<string>",
"currency": "EUR"
},
"value_date": "2023-12-25",
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"metadata": [
{
"type": "comment",
"value": "<string>"
}
]
}Frozen v1 · Create a payment
Report a payment to a claim that you received from your debtor. Payments can be reported at anytime - before or after releasing a claim for processing and at any state of us processing a claim or mandate.
import requests
url = "https://api.paywise.de/v1/payments/"
payload = {
"claim": "7e60fd1d-575d-4043-a73d-5a2fe9049027",
"amount": {
"value": "149.00",
"currency": "EUR"
},
"value_date": "2019-08-24"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claim: '7e60fd1d-575d-4043-a73d-5a2fe9049027',
amount: {value: '149.00', currency: 'EUR'},
value_date: '2019-08-24'
})
};
fetch('https://api.paywise.de/v1/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/payments/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"claim\": \"7e60fd1d-575d-4043-a73d-5a2fe9049027\",\n \"amount\": {\n \"value\": \"149.00\",\n \"currency\": \"EUR\"\n },\n \"value_date\": \"2019-08-24\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"claim\": \"7e60fd1d-575d-4043-a73d-5a2fe9049027\",\n \"amount\": {\n \"value\": \"149.00\",\n \"currency\": \"EUR\"\n },\n \"value_date\": \"2019-08-24\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/payments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim": "7e60fd1d-575d-4043-a73d-5a2fe9049027",
"amount": {
"value": "149.00",
"currency": "EUR"
},
"value_date": "2019-08-24"
}
'{
"href": "<string>",
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "<string>",
"currency": "EUR"
},
"value_date": "2023-12-25",
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"metadata": [
{
"type": "comment",
"value": "<string>"
}
]
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A payment associated for a claim
The ID of the claim the payment should be reported on.
The amount of the payment.
Show child attributes
Show child attributes
The value date of the payment.
Your unique reference.
255The metadata object allows you to submit additional relevant information related to the payment as type/value pairs. You can submit an unlimited number of metadata sets.
Show child attributes
Show child attributes
Antwort
A payment associated for a claim
The ID of the claim the payment should be reported on.
The amount of the payment.
Show child attributes
Show child attributes
The value date of the payment.
Your unique reference.
255The metadata object allows you to submit additional relevant information related to the payment as type/value pairs. You can submit an unlimited number of metadata sets.
Show child attributes
Show child attributes
